Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class FDoc

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Nod
                      org.basex.query.item.FNode
                          org.basex.query.item.FDoc

    public final class FDoc

extends FNode

Document Node Fragment.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.item.Item
`type`

Constructor Summary
`FDoc(NodIter ch, byte[] b)` Constructor.

Method Summary
`byte[]` | `base()` Returns the database name.
`FDoc` | `copy()` Creates a new copy (clone) of the node.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`void` | `serialize(Serializer ser)` Serializes the item.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.item.FNode
`attr, child, desc, descOrSelf, diff, is, parent`

Methods inherited from class org.basex.query.item.Nod
`anc, ancOrSelf, bool, dbl, dec, diff, eq, finish, flt, foll, follSibl, itr, java, kind, nname, ns, par, parent, prec, precSibl, qname, qname, self`

Methods inherited from class org.basex.query.item.Item
`atomic, castErr, comp, d, duplicates, ebv, hash, i, iter, iter, n, name, node, removable, returned, s, score, score, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, size`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FDoc

    public FDoc(NodIter ch,
                byte[] b)

  Constructor.

  Parameters:
    `ch` - children
    `b` - base uri

Method Detail

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### serialize

    public void serialize(Serializer ser)
                   throws java.io.IOException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### base

    public byte[] base()

  Description copied from class: `Nod`
  Returns the database name.

  Overrides:
    `base` in class `Nod`
  Returns:
    database name

### copy

    public FDoc copy()

  Description copied from class: `Nod`
  Creates a new copy (clone) of the node.

  Specified by:
    `copy` in class `Nod`
  Returns:
    new copy

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Item`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD